Skip to main content
PUT
/
job
/
{jobId}
/
advancedSettings
Edit advanced settings
curl --request PUT \
  --url https://api.qovery.com/job/{jobId}/advancedSettings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "build.timeout_max_sec": 123,
  "build.cpu_max_in_milli": 123,
  "build.ram_max_in_gib": 123,
  "build.disable_buildkit_cache": true,
  "deployment.termination_grace_period_seconds": 123,
  "deployment.affinity.node.required": {},
  "job.delete_ttl_seconds_after_finished": 123,
  "cronjob.concurrency_policy": "<string>",
  "cronjob.failed_jobs_history_limit": 123,
  "cronjob.success_jobs_history_limit": 123,
  "security.service_account_name": "<string>",
  "security.automount_service_account_token": true,
  "security.read_only_root_filesystem": true
}
'
{
  "build.timeout_max_sec": 123,
  "build.cpu_max_in_milli": 123,
  "build.ram_max_in_gib": 123,
  "build.disable_buildkit_cache": true,
  "deployment.termination_grace_period_seconds": 123,
  "deployment.affinity.node.required": {},
  "job.delete_ttl_seconds_after_finished": 123,
  "cronjob.concurrency_policy": "<string>",
  "cronjob.failed_jobs_history_limit": 123,
  "cronjob.success_jobs_history_limit": 123,
  "security.service_account_name": "<string>",
  "security.automount_service_account_token": true,
  "security.read_only_root_filesystem": true
}

Documentation Index

Fetch the complete documentation index at: https://qovery-erebe-skills.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

jobId
string<uuid>
required

Job ID

Body

application/json
build.timeout_max_sec
integer

define the max timeout for the build

build.cpu_max_in_milli
integer

define the max cpu resources (in milli)

build.ram_max_in_gib
integer

define the max ram resources (in gib)

build.disable_buildkit_cache
boolean

disable buildkit registry cache during build

deployment.termination_grace_period_seconds
integer

define how long in seconds an application is supposed to be stopped gracefully

deployment.affinity.node.required
object

Set pod placement on specific Kubernetes nodes labels

job.delete_ttl_seconds_after_finished
integer | null
cronjob.concurrency_policy
string
cronjob.failed_jobs_history_limit
integer
cronjob.success_jobs_history_limit
integer
security.service_account_name
string

Allows you to set an existing Kubernetes service account name

security.automount_service_account_token
boolean

Automount Kubernetes service account token to have access to Kubernetes API from pods

security.read_only_root_filesystem
boolean

Mounts the container's root filesystem as read-only

Response

Updated advanced settings

build.timeout_max_sec
integer

define the max timeout for the build

build.cpu_max_in_milli
integer

define the max cpu resources (in milli)

build.ram_max_in_gib
integer

define the max ram resources (in gib)

build.disable_buildkit_cache
boolean

disable buildkit registry cache during build

deployment.termination_grace_period_seconds
integer

define how long in seconds an application is supposed to be stopped gracefully

deployment.affinity.node.required
object

Set pod placement on specific Kubernetes nodes labels

job.delete_ttl_seconds_after_finished
integer | null
cronjob.concurrency_policy
string
cronjob.failed_jobs_history_limit
integer
cronjob.success_jobs_history_limit
integer
security.service_account_name
string

Allows you to set an existing Kubernetes service account name

security.automount_service_account_token
boolean

Automount Kubernetes service account token to have access to Kubernetes API from pods

security.read_only_root_filesystem
boolean

Mounts the container's root filesystem as read-only